import { Construct } from "constructs";
import { NestedStack } from "aws-cdk-lib";
import { Provider } from "aws-cdk-lib/custom-resources";
/**
 * A Custom Resource provider capable of creating AWS Organizational Units (OUs) or reusing an existing one
 */
export declare class OrganizationalUnitProvider extends NestedStack {
    /**
     * Creates a stack-singleton resource provider nested stack.
     */
    static getOrCreate(scope: Construct): OrganizationalUnitProvider;
    /**
     * The custom resource provider.
     */
    readonly provider: Provider;
    private constructor();
}
